package projects


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}


#######################################################################
# icons
#######################################################################

## "projects and demonstrations" ## green_title ## demo ##
_httpicondemo_ {_httpimg_/demo.gif}
_widthdemo_ {450}
_heightdemo_ {57}

_icondemo_ {<img src="_httpicondemo_" width=_widthdemo_ height=_heightdemo_}

#######################################################################
# page content
#######################################################################

_pagetitle_ {New Zealand Digital Library projects}

_imagethispage_ {_icondemo_}

_content_ {
_iconblankbar_
<p>
New Zealand Digital Library Project members have developed a range 
of practical software packages in the course of their research.
Much of this software is available for
<a href="_httppagex_(download)">download</a>.

<p><h4>Digital libraries and indexing</h4>

<ul>
<li><a href="_httppagex_(gsdl)">Greenstone</a> 
is the digital library system generates each and every page of 
this website.
It is freely available under the GNU General public license,
and has been adopted by numerous other projects.
It is used to disseminate information by humanitarian 
organisations including Global Help Projects and 
United Nations organisations.
<ul>
<li> <a href="_gwcgi_">Our website</a> hosts exotic collections, humanitarian collections, and reference collections.
<li> <a href="_gwcgi_">Other websites</a> mirror these collections, and host many others.
<li> Greenstone is available for <a href="_httppagex_(download)">download</a>.
</ul>
<p>

<li><a href="_httppagex_(mg)">MG</a>
is an enhancement of the 
<a href="http://www.cs.mu.oz.au/mg">Managing Gigabytes</a> 
full-text retrieval system that provides flexible stemming methods, 
weighting terms, term frequencies, merged indexes, 
machine independent indexes, and a port to MSDOS.
<ul>
<li> MG is available for <a href="_httppagex_(download)">download</a>.
</ul><p>

<li><a href="_httppagex_(prescript)">PreScript</a>
converts PostScript to plain ASCII or HTML.
It detects paragraph boundaries, removes hyphenation, 
and interprets many ligatures.
<ul>
<li> Prescript is available for <a href="_httppagex_(download)">download</a>.
</ul><p>
</ul>

<p><h4>Extracting data and metadata</h4>
<ul>
<li>
<a href="http://www.cs.waikato.ac.nz/sequitur">Sequitur</a> 
is a method for inferring compositional hierarchies from strings by detecting
repetition and factoring it out of the string by  forming rules in a
grammar. 
Sequitur is useful for recognizing lexical structure in strings, 
and excels at very long sequences.
<ul>
<li>The <a href="http://www.cs.waikato.ac.nz/sequitur">Sequitur WWW interface</a> detects structure in text sequences.
<li> Sequitur is available for <a href="_httppagex_(download)">download</a>.
</ul><p>

<li><a href="http://www.nzdl.org/Kea">Kea</a>
is a program for automatically extracting keywords and keyphrases 
from the full text of documents. 
Candidate keyphrases are identified using rudimentary lexical processing, 
features are computed for each candidate, and machine learning is used to 
determines which candidates should be assigned as keyphrases. 
<ul>
<li>The <a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/WebKea">Kea WWW interface</a> will extract keyphrases from any web page you specify.
<li> Kea is available for <a href="_httppagex_(download)">download</a>.
</ul><p>
</ul>

<p><h4>Browsing interfaces</h4>
<ul>
<li>
<a href="http://www.nzdl.org/phind/">Phind</a>
is an interface for browsing the phrases that occur in a collection.
The phrases form an approximation of the topics covered.
They are extracted from the noun-phrases occuring in the text,
so nonsense phrases and phrases with very little information content
are excluded.
Each phrase is part of a hierarchy, 
and the user can browse more specialised topics, 
or retrieve documents that contain the phrase, at any point.
<ul>
<li> Phind has been applied to the web pages of the UN
<a href="http://www.nzdl.org/phind/fao.html">Food and Agriculture Organisation</a>.
</ul><p>

<li><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/">Phrasier</a> 
is a tool to support information seeking activities in a digital library.
Its novel design reflects the fact that reading, writing, browsing and 
searching activities are rarely carried out independently of each other.
They overlap and interleave in ways which have not been effectively supported 
by conventional information retrieval interfaces.  
Consequenly Phrasier blurs the distinction between 
writing a document and finding material related to it; 
between reading a document and finding others on the same or similar topics; 
between keyword searching and subject browsing.
<ul>
<li> A demonstration version of Phrasier is available for <a href="_httppagex_(download)">download</a>.
</ul><p>


<li><a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/Kniles">Kniles</a> 
is a web-based system for inserting topic-based hypertext links 
into existing, large-scale digital library collections. 
The links are generated at runtime using keyphrases (provided by the author 
or extracted by Kea), and let you browse collections of documents that
do not already have embedded hypertext links.
<ul>
<li> Kniles has been used insert links in the text of 45,000 
<a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/Kniles?c=cstr">Computer Science Technical Reports</a>
that were originally in PostScript format.
</ul><p>

</ul><p>

<p><h4>Word segmentation</h4>
<ul>

<li>
<a href="http://www.nzdl.org/cgi-bin/congb">Word segmentation</a> 
is designed to find word boundaries in languages like Chinese and 
Japanese, which are (unlike English) written without spaces 
or other word delimiters (except for punctuation marks). 
It plays a significant role in applications that use the word as the 
basic unit due to the fact that machine-readable Chinese text
is invariably stored in unsegmented form.
<ul>
<li> We have implemented a 
<a href="http://www.nzdl.org/cgi-bin/congb">WWW interface</a>
for segmanting Chinese text.
<li> If your web browsers does not support Chinese text, 
illustrations of the transformation are available.
</ul><p>

</ul><p>

_nzdlpagefooter_ 
<br>April 2000
}

